/*!
 * @techmely/utils
 * Copyright(c) 2021-2024 Techmely <techmely.creation@gmail.com>
 * MIT Licensed
 */


// src/nextIdle.ts
function nextIdle() {
  return window !== void 0 ? new Promise(window.requestIdleCallback || setTimeout) : setTimeout;
}

export { nextIdle };
